# genericSuperclassTypeArguments

fun < T : Any > Class < T >. genericSuperclassTypeArguments (): Array < Type >

Get the type arguments of the superclass of this Class or return an empty array if it fails.

This function will implement the following functions:

    (Class.genericSuperclass as ParameterizedType).actualTypeArguments

Content copied to clipboard

#### Receiver

the Class to get the type arguments of its superclass.

#### Return

Array<Type>

fun < T : Any > KClass < T >. genericSuperclassTypeArguments (): Array < Type >

Get the type arguments of the superclass of this KClass.java or return an empty array if it fails.

#### See also

genericSuperclassTypeArguments